# Created by Matyáš Pokorný on 2018-01-20.

module KXI
	module CLI
		# Represents the flag argument (eg.: -f, --flag)
		class FlagArgument < KXI::CLI::ExplicitArgument
			# Instantiates the {KXI::CLI::FlagArgument} class
			# @param nm [String] Name of argument
			# @param desc [String] Description of argument
			# @param sh [String] Shortcut of argument
			def initialize(nm, desc, sh = nil)
				super(nm, desc, sh)
			end
		end
	end
end