# Created by Matyáš Pokorný on 2018-01-24.

module KXI
	module Application
		# Parses configuration
		# @abstract
		class ConfigReader
			# Parses configuration from file
			# @param str [String] Data to parse
			# @return [Hash] Parsed configuration
			# @abstract
			def parse(str)
				raise(KXI::Exceptions::AbstractException.new(KXI::Application::ConfigReader))
			end
		end
	end
end