# Created by Matyáš Pokorný on 2018-01-20.

module KXI
	module Exceptions
		# Raised when command-line parser encounters an error
		class ArgumentException < Exception
			# Get the name of argument
			# @return [String] Name of argument
			def argument
				@arg
			end
			
			# Instantiates the {KXI::Exceptions::ArgumentException} class
			# @param arg [String] Name of argument
			# @param msg [String] Error message
			def initialize(arg, msg)
				super("<#{arg}> #{msg}")
				@arg = arg
			end
		end
	end
end