# Created by Matyáš Pokorný on 2018-01-21.

module KXI
	module Exceptions
		# Raised when argument value has no binding argument
		class NoArgumentException < Exception
			# Gets the erroneous value
			# @return [String] Erroneous value
			def value
				@val
			end
			
			# Instantiates the {KXI::Exceptions::NoArgumentException} class
			# @param val [String] Erroneous value
			def initialize(val)
				super("Value '#{val}' has no argument to bind to!")
				@val = val
			end
		end
	end
end